Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 457690 - Review Request: python-flickrapi - python module for flickr api
Summary: Review Request: python-flickrapi - python module for flickr api
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-08-03 19:12 UTC by kushaldas@gmail.com
Modified: 2008-10-22 23:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-13 07:04:04 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description kushaldas@gmail.com 2008-08-03 19:12:28 UTC
Spec URL: http://kushal.fedorapeople.org/python-flickrapi.spec
SRPM URL: http://kushal.fedorapeople.org/python-flickrapi-1.1-1.fc9.src.rpm
Description: A  python module for flickr api

Comment 1 Parag AN(पराग) 2008-08-04 05:57:34 UTC
1)you don't need again {%_docdir} remove it from %files
2) Add BuildRequires: python-setuptools

Comment 2 kushaldas@gmail.com 2008-08-04 09:31:46 UTC
If I take out %{_docdir} I am getting

RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/share/doc/flickrapi-1.1/documentation.css
   /usr/share/doc/flickrapi-1.1/flickrapi.html
   /usr/share/doc/flickrapi-1.1/html4css1.css

Tell me what I should do ?

Comment 3 Parag AN(पराग) 2008-08-04 11:08:28 UTC
That happened because you tested on your machine where python-docutils is installed. So you need to add BR:python-docutils also you should install doc files in /usr/share/doc/python-flickrapi-1.1 instead to create one more directory /usr/share/doc/flickrapi-1.1

So,
1) Add BR:python-docutils
2) Add following in %install
rm -rf $RPM_BUILD_ROOT/%{_docdir}/*
3) your %doc should look like
  %doc README LICENSE doc/documentation.css doc/flickrapi.html doc/html4css1.css
4) don't include %{_docdir}/* in %files

Comment 4 kushaldas@gmail.com 2008-08-04 11:33:29 UTC
(In reply to comment #3)
> That happened because you tested on your machine where python-docutils is
> installed. So you need to add BR:python-docutils also you should install doc
> files in /usr/share/doc/python-flickrapi-1.1 instead to create one more
> directory /usr/share/doc/flickrapi-1.1
> 
> So,
> 1) Add BR:python-docutils
> 2) Add following in %install
> rm -rf $RPM_BUILD_ROOT/%{_docdir}/*
> 3) your %doc should look like
>   %doc README LICENSE doc/documentation.css doc/flickrapi.html
> doc/html4css1.css
> 4) don't include %{_docdir}/* in %files

Spec URL: http://kushal.fedorapeople.org/python-flickrapi.spec
SRPM URL: http://kushal.fedorapeople.org/python-flickrapi-1.1-2.fc9.src.rpm


The new spec and SRPM

Comment 5 Parag AN(पराग) 2008-08-05 04:22:34 UTC
rpmlint gave me =>
python-flickrapi.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/flickrapi/__init__.py 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.
==> Fix by removing shebang

Comment 6 Parag AN(पराग) 2008-08-05 04:55:59 UTC
Kushal,
  You can fix that in %install as
sed -i -e "s|#!/usr/bin/env python||" $RPM_BUILD_ROOT/%{python_sitelib}/flickrapi/__init__.py

Comment 7 kushaldas@gmail.com 2008-08-05 05:12:16 UTC
(In reply to comment #6)
> Kushal,
>   You can fix that in %install as
> sed -i -e "s|#!/usr/bin/env python||"
> $RPM_BUILD_ROOT/%{python_sitelib}/flickrapi/__init__.py

Fixed :)

Spec URL: http://kushal.fedorapeople.org/packages/python-flickrapi.spec
SRPM URL: http://kushal.fedorapeople.org/packages/python-flickrapi-1.1-3.fc9.src.rpm

Comment 8 Parag AN(पराग) 2008-08-05 05:43:35 UTC
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=758909
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
e51f57430629105dcec26a00eaa5fcae  flickrapi-1.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package
+ BuildRequires are proper.
+ Compiler flags honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI App.
APPROVED.

Comment 9 kushaldas@gmail.com 2008-08-05 05:51:43 UTC
New Package CVS Request
=======================
Package Name: python-flickrapi
Short Description: python module for flickr api
Owners: kushal
Branches: F-9 EL5
InitialCC: kushal
Cvsextras Commits: yes

Comment 10 Parag AN(पराग) 2008-09-04 04:28:00 UTC
I think cvs is not created for this package so pushing back fedora-cvs flag to "?"

Comment 11 Kevin Fenzi 2008-09-05 16:48:16 UTC
cvs done.

Comment 12 Parag AN(पराग) 2008-09-16 02:02:34 UTC
ping?
is this built already? If yes then you can CLOSE this review bug.

Comment 13 Parag AN(पराग) 2008-10-06 04:56:58 UTC
look like no interest from reporter to build this package.
Will Close this as NOTABUG this weekend.

Comment 14 Parag AN(पराग) 2008-10-13 07:04:04 UTC
Since Reporter seems not willing to update here, Closing this review.

Comment 15 Parag AN(पराग) 2008-10-16 05:39:33 UTC
I am not sure how to triage this package which have fedora-review+ and fedora-cvs+ where submitter don't want to add this to Fedora CVS. But I guess I can mark this review as FE-DEADREVIEW. If thats wrong correct me here.

Comment 16 Marek Mahut 2008-10-16 06:15:04 UTC
I think we have also to kill the CVS branch.

Comment 17 Ian Weller 2008-10-22 22:40:04 UTC
Funny that I just recently became interested in this package. If I want to take over this package, would I need to resubmit the review request, or can we consider the package orphaned and I can take it over?

Comment 18 Jason Tibbitts 2008-10-22 23:52:48 UTC
I guess its probably safer to pretend this ticket never existed.


Note You need to log in before you can comment on or make changes to this bug.